Summary:   IPTraf is a console-based network monitoring program
Name:      iptraf
Version:   2.0.1
Release:   1
Source:    ftp://ftp.cebu.mozcom.com/pub/linux/net/%{name}-%{version}.tar.gz
Patch: iptraf-config.patch
URL:       http://cebu.mozcom.com/riker/iptraf/
Copyright: GPL
Group:     Networking/Utilities
Buildroot: /tmp/%{name}-%{version}-root

%description
IPTraf is a console-based network monitoring program that displays information
about IP traffic. This program can be used to determine the type of traffic on
your network, and what kind of service is the most heavily used on what
machines, among others.
IPTraf works on Ethernet and SLIP/PPP interfaces.

%prep
%setup -q
%patch -p1

%build
make -C src CFLAGS="$RPM_OPT_FLAGS" \
            TARGET=/usr/bin \
            LOGDIR=/var/log/iptraf \
            WORKDIR=/var/iptraf

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/man/man8

make -C src TARGET=$RPM_BUILD_ROOT/usr/bin \
            LOGDIR=$RPM_BUILD_ROOT/var/log/iptraf \
            WORKDIR=$RPM_BUILD_ROOT/var/iptraf \
            install

install -m644 Documentation/*.8 $RPM_BUILD_ROOT/usr/man/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Documentation/{manual.*,*.gif} README.* COPYING CHANGES
/usr/bin/*
%attr(-,root,man) /usr/man/*/*
/var/iptraf
/var/log/iptraf

%changelog
* Fri Jul 23 1999 Anh Vo <anhvo@turbolinux.com>
- Added iptraf-config.patch
- Built for TL

* Sun Jul 18 1999 Arne Coucheron <arneco@online.no>
  [2.0.1-1]

* Sat Jun 26 1999 Arne Coucheron <arneco@online.no>
  [2.0.0-1]

* Thu Apr 15 1999 Arne Coucheron <arneco@online.no>
  [1.4.3-1]

* Tue Jan 19 1999 Arne Coucheron <arneco@online.no>
  [1.4.2-1]
- added manual pages

* Mon Jan 03 1999 Arne Coucheron <arneco@online.no>
  [1.4.1-1]
- removed the patch

* Sun Sep 20 1998 Arne Coucheron <arneco@online.no>
  [1.3.0-1]

* Tue Jun 23 1998 Arne Coucheron <arneco@online.no>
  [1.2.0-2]
- using %%{name} and %%{version} macros
- using %defattr macro in filelist
- using $RPM_OPT_FLAGS
- added -q parameter to %setup
- added cfconv to package

* Tue Jun 16 1998 Biniare <binaire@binaire.ml.org>
  [1.2.0-1]

* Tue Mar 10 1998 Maciej Lesniewski <nimir@kis.p.lodz.pl>
  [1.1.0-1]